Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.formcomponents
Interface ComponentTuple

    public interface ComponentTuple

Represents the created GUI components for a form component. If the installer or uninstaller is running in GUI mode, the framework will call the `createLeftComponent`, `createCenterComponent` and `createRightComponent` of a form component after instantiating it. These three components of which the left and right components may be `null` form the component tuple of the form component.

A component tuple can be obtained for every form component via the form environment.

See Also:
  `FormEnvironment.getComponentTuple(FormComponent)`

Method Summary
`javax.swing.JComponent` | `getCenterComponent()` Return the center GUI component created by `FormComponent.createCenterComponent`.
`javax.swing.JComponent` | `getLeftComponent()` Return the left GUI component created by `FormComponent.createLeftComponent`.
`javax.swing.JComponent` | `getRightComponent()` Return the right GUI component created by `FormComponent.createRightComponent`.

Method Detail

### getLeftComponent

    javax.swing.JComponent getLeftComponent()

  Return the left GUI component created by `FormComponent.createLeftComponent`.

  Returns:
    the left GUI component
  See Also:
    `FormComponent.createLeftComponent()`

### getCenterComponent

    javax.swing.JComponent getCenterComponent()

  Return the center GUI component created by `FormComponent.createCenterComponent`.

  Returns:
    the center GUI component
  See Also:
    `FormComponent.createCenterComponent()`

### getRightComponent

    javax.swing.JComponent getRightComponent()

  Return the right GUI component created by `FormComponent.createRightComponent`.

  Returns:
    the right GUI component
  See Also:
    `FormComponent.createRightComponent()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD